aboutsummaryrefslogtreecommitdiff
path: root/Tools
diff options
context:
space:
mode:
authorKris Kennaway <kris@FreeBSD.org>2006-01-15 04:18:14 +0000
committerKris Kennaway <kris@FreeBSD.org>2006-01-15 04:18:14 +0000
commit15ac5c67244669ee789f8e25acbd9d05e25b222c (patch)
treedb35eb90807ada688e94f27d5a3858a7327f3cde /Tools
parentc7d20499387dead0b3fb1d7e117277c68bde2599 (diff)
downloadports-15ac5c67244669ee789f8e25acbd9d05e25b222c.tar.gz
ports-15ac5c67244669ee789f8e25acbd9d05e25b222c.zip
Exit with the correct error code when a make target fails
PR: ports/64930 Submitted by: Damir Kiramov <damirycha@damirycha.net.ru>
Notes
Notes: svn path=/head/; revision=153536
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/makeworld6
1 files changed, 3 insertions, 3 deletions
diff --git a/Tools/portbuild/scripts/makeworld b/Tools/portbuild/scripts/makeworld
index 9b50c2d3907d..7ed0ee0052c8 100755
--- a/Tools/portbuild/scripts/makeworld
+++ b/Tools/portbuild/scripts/makeworld
@@ -57,7 +57,7 @@ echo "==> Starting make buildworld"
make buildworld $*
error=$?
if [ "$error" != "0" ]; then
- exit $?
+ exit $error
fi
echo "==> Cleaning up chroot"
@@ -72,7 +72,7 @@ if [ "$client" = "0" ]; then
make installworld DESTDIR=/var/chroot
error=$?
if [ "$error" != "0" ]; then
- exit $?
+ exit $error
fi
echo "==> Starting make distribute"
@@ -82,7 +82,7 @@ if [ "$client" = "0" ]; then
make distribute DISTRIBUTION=/var/chroot/
error=$?
if [ "$error" != "0" ]; then
- exit $?
+ exit $error
fi
else
echo "==> Not doing installworld of client source tree"